MONGOC_BULK_OPERATION_SET_LET(3)

NAME
mongoc_bulk_operation_set_let - mongoc_bulk_operation_set_let()

SYNOPSIS

void
mongoc_bulk_operation_set_let (
   mongoc_bulk_operation_t *bulk, const bson_t *let);

PARAMETERS

•   bulk: A mongoc_bulk_operation_t.

•   let: A BSON document consisting of any number of parameter names, each followed by definitions of constants in the MQL Aggregate Expression language.

DESCRIPTION

Defines constants that can be accessed by all update, replace, and delete operations executed as part of this bulk.

It is prohibited to call this function after adding operations to the bulk.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc